GetBankIdVerificationProgress |WebMethod|
Gets progress and completion status for an ongoing BankID verification.
An object containing a flag (IsCompleted) that indicates whether the verification has completed. Additionally, a description of the progress (Progress) of the ongoing verification is supplied, or an Error indicating what type of error occurred.
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetBankIdVerificationProgress"
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<GetBankIdVerificationProgress xmlns="http://api.tradera.com">
</GetBankIdVerificationProgress>
</soap:Body>
</soap:Envelope>HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetBankIdVerificationProgressResponse xmlns="http://api.tradera.com"> <GetBankIdVerificationProgressResult>An object containing a flag (IsCompleted) that indicates whether the verification has completed. Additionally, a description of the progress (Progress) of the ongoing verification is supplied, or an Error indicating what type of error occurred.</GetBankIdVerificationProgressResult> </GetBankIdVerificationProgressResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetBankIdVerificationProgress xmlns="http://api.tradera.com">
</GetBankIdVerificationProgress>
</soap12:Body>
</soap12:Envelope>HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetBankIdVerificationProgressResponse xmlns="http://api.tradera.com"> <GetBankIdVerificationProgressResult>An object containing a flag (IsCompleted) that indicates whether the verification has completed. Additionally, a description of the progress (Progress) of the ongoing verification is supplied, or an Error indicating what type of error occurred.</GetBankIdVerificationProgressResult> </GetBankIdVerificationProgressResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/restrictedservice.asmx/GetBankIdVerificationProgress?appId=string&appKey=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<GetBankIdVerificationProgressResult xmlns="http://api.tradera.com">An object containing a flag (IsCompleted) that indicates whether the verification has completed.
Additionally, a description of the progress (Progress) of the ongoing verification is supplied,
or an Error indicating what type of error occurred.</GetBankIdVerificationProgressResult>HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx/GetBankIdVerificationProgress HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<GetBankIdVerificationProgressResult xmlns="http://api.tradera.com">An object containing a flag (IsCompleted) that indicates whether the verification has completed.
Additionally, a description of the progress (Progress) of the ongoing verification is supplied,
or an Error indicating what type of error occurred.</GetBankIdVerificationProgressResult>